Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.internal.preference
Class VisualiserPreferences

    java.lang.Object
      org.eclipse.contribution.visualiser.internal.preference.VisualiserPreferences

public class VisualiserPreferences
extends java.lang.Object

Holds the preferences for the Visualiser as set via the Workbench->preferences pages or the VisualiserPreferencesDialog , which is launched for the Visualiser view.

Field Summary
`static java.lang.String` | `DEMARCATION`
`static java.lang.String` | `MAX_BAR`
`static java.lang.String` | `MIN_BAR`
`static java.lang.String` | `PROVIDER`
`static java.lang.String` | `STRIPE_SIZE`

Constructor Summary
`VisualiserPreferences()`

Method Summary
`static int` | `getMaxBarSize()` Get the maximum bar width for bars in the visualsier
`static int` | `getMinBarSize()` Get the minimum bar width for bars in the visualiser
`static java.lang.String` | `getProvider()` Get the name of the current provider
`static int` | `getStripeSize()` Get the minimum stripe height for the visualiser
`static boolean` | `isDemarcationEnabled()` Returns true if demarcation is enabled for bars in package view

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_BAR

    public static final java.lang.String MAX_BAR

See Also:
  Constant Field Values

### MIN_BAR

    public static final java.lang.String MIN_BAR

See Also:
  Constant Field Values

### DEMARCATION

    public static final java.lang.String DEMARCATION

See Also:
  Constant Field Values

### PROVIDER

    public static final java.lang.String PROVIDER

See Also:
  Constant Field Values

### STRIPE_SIZE

    public static final java.lang.String STRIPE_SIZE

See Also:
  Constant Field Values

Constructor Detail

### VisualiserPreferences

    public VisualiserPreferences()

Method Detail

### isDemarcationEnabled

    public static boolean isDemarcationEnabled()

  Returns true if demarcation is enabled for bars in package view

  Returns:

### getProvider

    public static java.lang.String getProvider()

  Get the name of the current provider

  Returns:

### getMinBarSize

    public static int getMinBarSize()

  Get the minimum bar width for bars in the visualiser

  Returns:

### getMaxBarSize

    public static int getMaxBarSize()

  Get the maximum bar width for bars in the visualsier

  Returns:

### getStripeSize

    public static int getStripeSize()

  Get the minimum stripe height for the visualiser

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD